<?php

/*
=======================================================================

  프로젝트 이름 : 피리 카페 심플

  만든사람 : 피리 PIREE ( tosports@naver.com )

  홈페이지 : https://piree.kr/nett_dev

  작성날짜 : 2024년 04월 14일 일요일 오후 21 03분 / 맑음, 21.1, 건조주의보, 28, 9, 0%, 0%, 2.3ms / 좋음, 29, 13, 0.006

  저 작 권 : Copyright ⓒ 2024 피리 piree.kr All right reserved
              그누보드 외에 추가된 소스는~
              만든사람의 허락없이 무단으로 사용할수 없습니다.
              사용하고자 할 경우 만든사람의 허락을 받아야 합니다.
              http://.piree.kr 에 문의해 주세요.

=======================================================================
 피리 카페 심플 > 피리 카페 관리 > 게시판 게시판 분류 추가 > 처리하기 > 게시판 분류 위치 정보
=======================================================================

*/

  include_once('./_common.php');

  SWITCH ($cate_work_c)
  {

    CASE 'default' :

      $board_cate_n = 0;

      $board_cate_1_n = 0;

      $board_cate_1_s = '';

      $board_cate_2_n = 0;

      $board_cate_2_s = '';

      $board_cate_n_p = '';

      $board_cate_s_p = '';

      $board_cate_depth_n = 0;

    BREAK;

    DEFAULT :

/*

      $sql_select  = "SELECT COUNT(*) FROM `". $piree['cafe_board'] ."` ";
      $sql_select .= "WHERE `bca_cafe_n` = '". $piree_cafe_n ."' AND `bca_cate_s` = '". $board_cate_name_l_s ."' AND `bca_depth_n` = '". $board_cate_depth_n ."' AND `bca_parent_n` = '". $board_cate_parent_n ."' AND `bca_cate_n` != '". $board_cate_n ."'";
      $exist_t = sql_efv($sql_select);

      IF ( $exist_t > 0 )
      {
          alert("같은 위치에 게시판 분류 [". $board_cate_name_l_s ."] 이(가) 이미 있습니다.");
      }

*/

      IF ( $mode_c == 'regist' )
      {

        $board_cate_n = get_new_cate_num_smallint2_cafe_board($piree_cafe_n, $board_cate_parent_n, $board_cate_depth_n);

      }

      $board_cate_2_s = '';

      SWITCH ( $board_cate_depth_n )
      {

          CASE 1 :

            $board_cate_1_n = $board_cate_n;

            $board_cate_n_p = $board_cate_1_n .'--';

            $board_cate_1_s = $board_cate_name_l_s;

            $board_cate_2_s = '';

            $board_cate_s_p = $board_cate_name_l_s .'--';
          BREAK;

          CASE 2 :

            $board_cate_1_n = floor($board_cate_n/100) * 100;

            $board_cate_2_n = $board_cate_n;

            $board_cate_n_p = $board_cate_1_n .'--'. $board_cate_2_n .'--';

            $board_cate_2_s = $board_cate_name_l_s;

            $board_cate_s_p = $board_cate_1_s .'--'. $board_cate_name_l_s .'--';

          BREAK;

      }

      $category_i_a = get_category_upper_smallint2_cafe_board($board_cate_n);

      $board_cate_1_n = $category_i_a[1];
      $board_cate_2_n = $category_i_a[2];

      $board_cate_n_p = $category_i_a[6];

      IF ( $board_cate_depth_n > 1 )
      {

         $sql_where_s = get_category_sql_where_smallint2_cafe_board($category_i_a, 'bca_cafe_n');

         $board_cate_name_l_s_a = get_cate_name_path_smallint2_cafe_board($category_i_a, $sql_where_s);

      }
      ELSE
      {

      }

    BREAK;

  }

?>